<template>
  <div class="add-element row">

    <div class="col col-lg-3">
      <input class="form-control"
             type="text"
             placeholder="new task"
             v-model="taskNames"
             @keyup.enter="addElements">
    </div>

    <div class="col col-lg-3">
      <select  class="form-control"
               v-model="priority">

        <option v-for="option in priorities"
                :key="option"
                :value="option">

          {{ option }}

        </option>

      </select>
    </div>

    <div class="col col-lg-2">
      <button type="button"
              class="btn btn-primary"
              :disabled="!taskNames"
              @click="addElements">

        Add item
      </button>
    </div>

  </div>
</template>

<script>
export default {
  name: 'AddElement',
  data() {
    return {
      priorities: ['HIGH', 'MEDIUM', 'LOW'],
      taskNames: '',
      priority: 'LOW',
    };
  },

  methods: {
    addElements() {
      if (this.taskNames) {
        // split but take only not null empty values
        const namesArray = this.taskNames.split(',').filter(name => name);
        this.$store.commit('addItems', {names: namesArray, priority: this.priority});
        this.taskNames = '';
      }
    },
  },
};

</script>

<style lang="scss" scoped>
.add-element {
  margin: 10px;
}
</style>
